Summary:     Jabber Client-to-Server (c2s) Connection Manager
Name:        jabber-c2s
Version:     0.9.0
Release:     12.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://jabberd.jabberstudio.org/1.4/dist/jadc2s-%{version}.tar.gz
Source1:     jabberd-c2s.init
Source2:     c2s.xml
Patch0:      jadc2s-path.patch
Patch1:      jadc2s-fixes.patch
URL:         http://jabberd.jabberstudio.org/1.4/doc/jadc2s/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Jabber Software Foundation
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc openssl097
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/chown /bin/chmod /bin/echo /bin/mkdir
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel openssl097-devel
ExclusiveOS: linux


%description
This is a simple daemon that manages incoming connections
from clients. It can be used as a fast c2s connection
manager for jabberd 1.4.x and other Jabber server imple-
mentations. It handles parsing the appropriate parts of
the stream to process authentication requests and which
connections have been authorized as a valid session.


%prep
%setup -q -n jadc2s-%{version}
%patch0 -p1
%patch1 -p1


%build
export CFLAGS="$RPM_OPT_FLAGS -I/usr/kerberos/include"
./configure \
	--enable-ssl
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/bin
install -m 0755 jadc2s $RPM_BUILD_ROOT/usr/jabber/bin
ln -s jadc2s $RPM_BUILD_ROOT/usr/jabber/bin/jabberd-c2s
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/jabber/c2s.xml.dist
touch $RPM_BUILD_ROOT/etc/jabber/c2s.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/c2s.xml
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-c2s


%pre
if [ ! -e /etc/jabber ] ; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/c2s.xml
/sbin/chkconfig --add jabberd-c2s
/sbin/chkconfig jabberd-c2s on
if [ -s /etc/jabber/c2s.xml ]; then
   if [ -f /var/lock/subsys/jabberd-c2s ]; then
      /etc/rc.d/init.d/jabberd-c2s restart
   else
      /etc/rc.d/init.d/jabberd-c2s start
   fi
else
   echo "C2S connection manager installed. Please consult the README for configuration details."
fi


%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig jabberd-c2s off
   /sbin/chkconfig --del jabberd-c2s
   if [ -f /var/lock/subsys/jabberd-c2s ]; then
      /etc/rc.d/init.d/jabberd-c2s stop
   fi
fi


%postun
if [ $1 = 0 ]; then
  echo "C2S connection manager deinstalled. Please remove all references from your jabber config!"
  echo "Don't forget to restore the original jabber C2S settings in your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS PROTO README TODO
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,jabber) /etc/jabber/*.xml
/etc/jabber/*.dist
/usr/jabber/bin/*


%changelog
* Wed Jul 13 2005 peter.pramberger@member.fsf.org
- updated for jabber 1.4.4
- removed package devel

* Fri Nov 21 2003 peter.pramberger@member.fsf.org
- created

